ros-kinetic-moveit-ros-planning-interface (0.9.18-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 23 Jan 2020 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.9.17-1xenial) xenial; urgency=high

  * Add missing run dependency to eigenpy
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 08 Jul 2019 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.9.16-1xenial) xenial; urgency=high

  * [maintanance] Resolve catkin lint issues (#1137 <https://github.com/ros-planning/moveit/issues/1137>)
  * [maintanance] Improve clang-format (#1214 <https://github.com/ros-planning/moveit/issues/1214>)
  * [feature]     Add getMoveGroupClient() to move_group_interface (#1215 <https://github.com/ros-planning/moveit/issues/1215>)
  * Contributors: Ludovic Delval, Martin Günther, Robert Haschke, Ryosuke Tajima

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 28 Jun 2019 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.9.15-1xenial) xenial; urgency=high

  * [improvement] Exploit the fact that our transforms are isometries (instead of general affine transformations). #1091 <https://github.com/ros-planning/moveit/issues/1091>
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.9.14-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.9.13-1xenial) xenial; urgency=high

  * [capability] Added plan_only flags to pick and place (#862 <https://github.com/ros-planning/moveit/issues/862>)
  * [maintenance] Python3 support (#1103 <https://github.com/ros-planning/moveit/issues/1103>, #1054 <https://github.com/ros-planning/moveit/issues/1054>)
  * [fix] optional namespace args (#929 <https://github.com/ros-planning/moveit/issues/929>)
  * Contributors: David Watkins, Michael Görner, Mohmmad Ayman, Robert Haschke, mike lautman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.9.12-1xenial) xenial; urgency=high

  * [maintenance] switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * [capability] namespace to moveit_commander (#835 <https://github.com/ros-planning/moveit/issues/835>)
  * Constrained Cartesian planning using moveit commander (#805 <https://github.com/ros-planning/moveit/issues/805>)
  * Simplify adding CollisionObjects with colors (#810 <https://github.com/ros-planning/moveit/issues/810>)
  * support TrajectoryConstraints in MoveGroupInterface + MoveitCommander (#793 <https://github.com/ros-planning/moveit/issues/793>)
  * Add API to get planner_id (#788 <https://github.com/ros-planning/moveit/issues/788>)
  * Allow wait time to be specified for getCurrentState() (#685 <https://github.com/ros-planning/moveit/issues/685>)
  * Contributors: 2scholz, Akiyoshi Ochiai, Bence Magyar, Dave Coleman, Ian McMahon, Robert Haschke, Will Baker, Xiaojian Ma, srsidd

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 28 May 2018 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.9.11-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 24 Dec 2017 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.9.10-1xenial) xenial; urgency=high

  * [fix] MoveGroupInterface: Fixed computeCartesianPath to use selected end-effector. (#580 <https://github.com/ros-planning/moveit/issues/580>)
  * [capability][kinetic onward] Adapt pick pipeline to function without object (#599 <https://github.com/ros-planning/moveit/issues/599>)
  * [improve] Disabled copy constructors and added a move constructor to MoveGroupInterface (#664 <https://github.com/ros-planning/moveit/issues/664>)
  * Contributors: 2scholz, Dennis Hartmann, Jonathan Meyer, Simon Schmeisser

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Dec 2017 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.9.9-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Aug 2017 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.9.8-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.9.7-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 04 Jun 2017 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.9.6-1xenial) xenial; urgency=high

  * [improve] MoveGroupInterface: add public interface to construct the MotionPlanRequest (#461 <https://github.com/ros-planning/moveit/issues/461>)
  * Contributors: Michael Goerner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 11 Apr 2017 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.9.5-1xenial) xenial; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * [enhancement] Remove "catch (...)" instances, catch std::exception instead of std::runtime_error (#445 <https://github.com/ros-planning/moveit/issues/445>)
  * [enhancement][MoveGroup] Add getLinkNames function (#440 <https://github.com/ros-planning/moveit/issues/440>)
  * Contributors: Bence Magyar, Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Mar 2017 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.9.4-1xenial) xenial; urgency=high

  * [fix] move_group.cpp: seg fault bug (#426 <https://github.com/ros-planning/moveit/issues/426>)
  * [fix] mgi: show correct include path in doxygen (#419 <https://github.com/ros-planning/moveit/issues/419>)
  * [fix] fix race conditions when updating PlanningScene (#350 <https://github.com/ros-planning/moveit/issues/350>)
  * [fix] issue #373 <https://github.com/ros-planning/moveit/issues/373> for Kinetic (#377 <https://github.com/ros-planning/moveit/issues/377>) (#385 <https://github.com/ros-planning/moveit/issues/385>)
  * [capability] PSI: add apply* functions that use ApplyPlanningScene.srv (#381 <https://github.com/ros-planning/moveit/issues/381>)
  * [maintenance] Fix test file issues (#415 <https://github.com/ros-planning/moveit/pull/415>, #412 <https://github.com/ros-planning/moveit/issues/412>)
  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Bastian Gaspers, Dave Coleman, Isaac I.Y. Saito, Jorge Santos Simon, Michael Goerner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 05 Feb 2017 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.9.3-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 15 Nov 2016 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.6.6-1xenial) xenial; urgency=high

  * replaced cmake_modules dependency with eigen
  * [jade] eigen3 adjustment
  * merge indigo-devel changes (PR #633 <https://github.com/ros-planning/moveit_ros/issues/633> trailing whitespace) into jade-devel
  * Removed trailing whitespace from entire repository
  * planning_interface::MoveGroup::get/setPlannerParams
  * new method MoveGroup::getDefaultPlannerId(const std::string &group)
    ... to retrieve default planner config from param server
    moved corresponding code from rviz plugin to MoveGroup interface
    to facilitate re-use
  * fixing conflicts, renaming variable
  * Merge pull request #589 <https://github.com/ros-planning/moveit_ros/issues/589> from MichaelStevens/set_num_planning_attempts
    adding set_num_planning_attempts to python interface
  * comments addressed
  * Added python wrapper for setMaxVelocityScalingFactor
  * saves robot name to db from moveit. also robot name accessible through robot interface python wrapper
  * adding set_num_planning_attempts to python interface
  * Merge pull request #571 <https://github.com/ros-planning/moveit_ros/issues/571> from ymollard/indigo-devel
    Added python wrapper for MoveGroup.asyncExecute()
  * Added python wrapper for MoveGroup.asyncExecute()
  * Add retime_trajectory to moveit python wrapper
  * add getHandle to move_group_interface
  * Updated documentation on move() to inform the user that an asynchronus spinner is required. Commonly new users don't do this and move() blocks permanently
  * Contributors: Dave Coleman, Dave Hershberger, Isaac I.Y. Saito, Kei Okada, Michael Stevens, Robert Haschke, Sachin Chitta, Scott, Yoan Mollard, dg, ferherranz

 -- Ioan Sucan <isucan@google.com>  Tue, 07 Jun 2016 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.6.5-1xenial) xenial; urgency=high

  * update maintainers
  * Add time factor support for iterative_time_parametrization
  * Contributors: Michael Ferguson, kohlbrecher

 -- Ioan Sucan <isucan@google.com>  Fri, 23 Jan 2015 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.6.4-1xenial) xenial; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 19 Dec 2014 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.6.3-1xenial) xenial; urgency=high

  * include correct ``boost::*_ptr`` class for boost 1.57.
  * Contributors: v4hn

 -- Ioan Sucan <isucan@google.com>  Tue, 02 Dec 2014 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.6.2-1xenial) xenial; urgency=high



 -- Ioan Sucan <isucan@google.com>  Thu, 30 Oct 2014 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.6.1-1xenial) xenial; urgency=high



 -- Ioan Sucan <isucan@google.com>  Thu, 30 Oct 2014 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.6.0-1xenial) xenial; urgency=high

  * Add missing variants of place (PlaceLocation, place anywhere) for python interface
  * Python wrapper for getEndEffectorTips()
  * Contributors: Dave Coleman, Sachin Chitta, corot

 -- Ioan Sucan <isucan@google.com>  Sun, 26 Oct 2014 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.19-1xenial) xenial; urgency=high

  * Add check for planning scene monitor connection, with 5 sec delay
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@google.com>  Sun, 22 Jun 2014 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.18-1xenial) xenial; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sat, 22 Mar 2014 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.17-1xenial) xenial; urgency=high

  * update build system for ROS indigo
  * added move_group python interface bindings to move group interface
    function:
    void setPathConstraints(const moveit_msgs::Constraint &constraint)
    in order to be able to set path constraints from python scripts
    directly and no need to use the DB.
  * Use member NodeHandle in action clients.
    Currently services and topics are already using the member NodeHandle instance,
    but not the action clients.
    This is relevant for two reasons:
    - Consistency in the resulting ROS API namespace (everything in the same namespace).
    - Consistency in the spinning policy. All services, topics and actions will be spinned
    by the same NodeHandle, and whatever custom (or not) spinners and callback queues it
    has associated.
  * adding error code returns to relevant functions
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Emili Boronat, Ioan A Sucan, Sachin Chitta

 -- Ioan Sucan <isucan@google.com>  Fri, 21 Mar 2014 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.16-1xenial) xenial; urgency=high

  * adding node handle to options in move_group_interface
  * adding get for active joints
  * Contributors: Sachin Chitta

 -- Ioan Sucan <isucan@google.com>  Wed, 26 Feb 2014 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.14-1xenial) xenial; urgency=high



 -- Ioan Sucan <isucan@google.com>  Wed, 05 Feb 2014 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.13-1xenial) xenial; urgency=high

  * add API for setting the number of motion plans to be evaluated via the MoveGroupInterface
  * move_group_interface: improve documentation
  * Contributors: Acorn Pooley, Ioan Sucan

 -- Ioan Sucan <isucan@google.com>  Wed, 05 Feb 2014 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.12-1xenial) xenial; urgency=high



 -- Ioan Sucan <isucan@google.com>  Thu, 02 Jan 2014 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.11-1xenial) xenial; urgency=high

  * Fixed bug in computeCartesianPathPython.
  * Adding collision object interface to planning_scene interface.
  * Contributors: Acorn Pooley, Sachin Chitta

 -- Ioan Sucan <isucan@google.com>  Thu, 02 Jan 2014 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.10-1xenial) xenial; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sat, 07 Dec 2013 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.9-1xenial) xenial; urgency=high

  * Fixed doxygen function-grouping.
  * Added planning feedback to gui, refactored states tab

 -- Ioan Sucan <isucan@google.com>  Mon, 02 Dec 2013 23:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.8-1xenial) xenial; urgency=high

  * add function to start state monitor in move_group_interface::MoveGroup

 -- Ioan Sucan <isucan@google.com>  Thu, 10 Oct 2013 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.7-1xenial) xenial; urgency=high



 -- Ioan Sucan <isucan@google.com>  Mon, 30 Sep 2013 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.6-1xenial) xenial; urgency=high

  * update planning options

 -- Ioan Sucan <isucan@google.com>  Wed, 25 Sep 2013 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.5-1xenial) xenial; urgency=high

  * add support for setting joint targets from approximate IK
  * specifies python version 2.7 for linking (fixes #302 <https://github.com/ros-planning/moveit_ros/issues/302>)
  * use new messages for pick & place
  * expand functionality of MoveGroupInterface
  * porting to new RobotState API

 -- Ioan Sucan <isucan@google.com>  Sun, 22 Sep 2013 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.4-1xenial) xenial; urgency=high

  * make pick more general
  * use message serialization for python bindings
  * remove CollisionMap, expose topic names in PlanningSceneMonitor, implement detach / attach operations as requested by #280 <https://github.com/ros-planning/moveit_ros/issues/280>
  * make headers and author definitions aligned the same way; white space fixes

 -- Ioan Sucan <isucan@google.com>  Tue, 13 Aug 2013 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.2-1xenial) xenial; urgency=high

  * move msgs to common_msgs

 -- Ioan Sucan <isucan@google.com>  Sun, 14 Jul 2013 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.1-1xenial) xenial; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sat, 13 Jul 2013 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.5.0-1xenial) xenial; urgency=high

  * white space fixes (tabs are now spaces)

 -- Ioan Sucan <isucan@google.com>  Thu, 11 Jul 2013 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.4.5-1xenial) xenial; urgency=high



 -- Ioan Sucan <isucan@google.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-kinetic-moveit-ros-planning-interface (0.4.4-1xenial) xenial; urgency=high

  * some refactoring

 -- Ioan Sucan <isucan@google.com>  Tue, 25 Jun 2013 22:00:00 -0000


